## Requirements

- [`chordpro`](https://github.com/ChordPro/chordpro/)
- `ghostscript`
- `zola` (optional)

## Building

`make` defaults to `all` which builds individual PDF and HTML files for
all songs. It also builds one complete PDF songbook with all songs.

Available targets: `all`, `pdf`, `html`, `clean`

You can also build PDF for a specific page with:

```
chordpro --config=chordpro.json path/to/song.cho
```

or build HTML output with:

```
chordpro --config=chordpro.json -o path/to/song.html path/to/song.cho
```

### Static website output

Futhermore, the project is ready to be compiled into a static webpage using
[Zola](https://www.getzola.org/).

```
zola build
```

This is done by default during the deploy pipeline.

## Song management

The `manage` shell script lets you do basic song management and saves you some
manual labour. Simply run the script itself or invoke `help` to get a list of
all available commands.

```
./manage help
Usage: ./manage <command> [options]

Commands:
  help        Show this help message and exit
  new <name>  Create a new song with the specified name

Examples:
  ./manage help
  ./manage new [song-name]
```
